<script lang="ts">
import Vue from 'vue';
import Tabs from './tabs.vue';
import ComparisonSideBySide from './comparison-side-by-side.vue';

export default Vue.extend({
  components: {
    Tabs,
    ComparisonSideBySide,
  },
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
  },
  data() {
    return {
      selectedTab: 0,
    };
  },
  methods: {
    setSelectedTab(value: number) {
      this.selectedTab = value;
    },
  },
});
</script>

<template>
  <div class="tab-table">
    <SlpTypography class="slp-mt-96 title" variant="heading2-bold" tag="h2">{{
      data.title
    }}</SlpTypography>
    <div class="slp-p-32 slp-mt-48 slp-mb-48 card">
      <SlpTypography variant="heading5-bold" tag="p">{{
        data.legend.title
      }}</SlpTypography>
      <SlpTypography class="slp-mt-24" variant="body3-bold" tag="p">{{
        data.legend.subtitle
      }}</SlpTypography>
      <div
        v-for="capability in data.legend.capabilities"
        :key="capability.title"
        class="slp-mt-24 legend"
      >
        <nuxt-img
          class="slp-mr-8 legend__image"
          :src="capability.image"
          loading="lazy"
        />
        <SlpTypography class="slp-mr-24" variant="body3" tag="span">{{
          capability.title
        }}</SlpTypography>
      </div>
      <div class="slp-mt-24" v-html="$md.render(data.legend.more.title)">
        {{ data.legend.more.title }}
      </div>
    </div>
    <Tabs
      :data="data"
      :show-in-mobile="true"
      :selected-tab="selectedTab"
      @tab-change="setSelectedTab"
    />
    <div class="tab-table__container">
      <ComparisonSideBySide
        :comparison-data="data.tabs[selectedTab].side_by_side"
        :style-for-tabs="true"
      />
    </div>
  </div>
</template>

<style lang="scss" scoped>
a {
  color: $color-text-300;
}
.tab-table {
  margin-top: $spacing-32;
  margin-bottom: $spacing-48;
  &__container {
    box-shadow: 0px 8px 50px -16px #d1d0d3;
    border-radius: 8px;
    margin-top: -45px;
  }
}

.competition {
  background: $color-surface-100;
}

.title {
  @media (max-width: $breakpoint-md) {
    margin-top: 40px;
  }
}

.italics {
  text-decoration: italic;
}

.card {
  border: 1px solid $color-surface-200;
  width: max-content;
  border-radius: $border-radius-4;

  @media (max-width: $breakpoint-md) {
    width: 100%;
  }
}

.legend {
  display: inline-flex;
  align-items: center;

  @media (max-width: $breakpoint-md) {
    display: flex;
  }

  &__image {
    height: $spacing-24;
    width: $spacing-24;
  }

  &-body {
    display: flex;
    align-items: center;
  }
}
</style>
